package bank.client;

import java.rmi.registry.LocateRegistry;
import java.rmi.registry.Registry;

import bank.common.Bank;

public class BankClient {

	public static void main(String[] args) {
		try {
			Registry reg = LocateRegistry.getRegistry("localhost", Bank.PORT);
			Bank bank = (Bank) reg.lookup(Bank.BANK_URL);
			
			bank.deposit(1, 10000);
			bank.deposit(2, 20000);
			boolean success = bank.transfer(1, 2, 3000);
			if (success) {
				System.out.println(bank.getBalance(1));
				System.out.println(bank.getBalance(2));
			} else {
				System.out.println("Transfer not successful");
			}
		} catch (Exception e) {
			System.out.println("Trouble: " + e);
		}
	}
}
