package bank.server;

import java.rmi.RemoteException;
import java.rmi.server.UnicastRemoteObject;
import bank.common.Bank;

@SuppressWarnings("serial")
public class BankImpl implements Bank {
	private long[] accounts = new long[100];

	protected BankImpl() { super(); }

	public synchronized long getBalance(int account) throws RemoteException {
		return accounts[account];
	}

	public synchronized void deposit(int account, long amount) 
			throws RemoteException {
		accounts[account] += amount;
	}

	public synchronized boolean transfer(int from, int to, long amount)
			throws RemoteException {
		accounts[from] -= amount;
		accounts[to] += amount;
		return true; 
	}
}
