package bank.server;

import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.rmi.Remote;
import java.rmi.registry.LocateRegistry;
import java.rmi.registry.Registry;
import java.rmi.server.UnicastRemoteObject;

import bank.common.Bank;

public class BankServer {
	
	private static Bank bank;
	private static Remote rstub;
	
	private static void start() throws Exception {
		bank = new BankImpl();
		Registry reg = LocateRegistry.createRegistry(Registry.REGISTRY_PORT);
		rstub = UnicastRemoteObject.exportObject(bank, Bank.PORT); 
		reg.bind("Bank", bank);

		System.out.println("Server started on port " + Registry.REGISTRY_PORT);
	}
		
	public static void main(String[] args) throws Exception {
		start();
		
		BufferedReader in = new BufferedReader(new InputStreamReader(System.in));
		do {
			System.out.println("Press x for exit.");
		} while (!"x".equals(in.readLine()));
		UnicastRemoteObject.unexportObject(bank, true); 
	}
}
